=== debian/changelog ===
cjk (4.8.3+git20120914-2ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 28 Dec 2013 02:50:55 -0500

cjk (4.8.3+git20120914-2) unstable; urgency=low

  * The "Released" release.
  * [debian/control, debian/rules]:
     - switch dependency from the obsolete `thailatex' and
       `latex-fonts-thai-tlwg' packages to texlive-lang-other
       (>= 2013.20130523-1).  Thanks to Theppitak Karoonboonyanan
       (Closes: #709686);
     - move from /u/s/doc/texmf to /u/s/texmf/doc and depend on
       tex-common (>= 4).
  * [debian/README.source] Typo.
  * Rebuild against some fresh TeXLive packages and move fromo Debian
    experimental to unstable.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 17 Jun 2013 09:20:35 +0800

cjk (4.8.3+git20120914-1) experimental; urgency=low

  * The "Thank you" release.
  * Acknowledge work by Norbert to make CJK automagically work with TL2012.
  * New upstream release:
     - Make cjk-enc.el work with Emacs23;
     - improve captions for Chinese (T/S) and Japanese;
     - fix imcompatibility with ulem.sty;
     - remove xCJK; use the xeCJK package instead;
     - accept Thai input in UTF-8 with cjk-enc.el and add a thai_utf8.tex
       example file;
     - add support for Thai font tlwg v0.5;
     - make some commands robust (\CJKtilde, \standardtilde, \CJKspace,
       \CJKnospace);
     - add Greek to the CJKutf8.tex example because the recent lgrx package
       delivers good Babel UTF-8 support for LGR encoding (however,
       cut-and-paste support remains a problem; see the upstream
       debian/changelog.gz file for more information).
  * [debian/*] Do not build the xcjk package anymore as it is made obsolete
     upstream.  Instead use the Debian package "texlive-xetex" which includes
     the LaTeX package "xeCJK".
  * [debian/README.Debian] Add information about the deprecation of
     latex-cjk-xcjk and about the use of Vietnamese and Greek.
  * [debian/patches/
  * [debian/patches/10_add_comments_in_KS_example_for_working_ko.tex_fonts.diff
     New patch.  hlatex-fonts-base does not exist; its replacement
     ko.tex-extra-hlfont does not contain all necessary fonts.  Explain which
     fonts do work, and modify the original KS.tex example file

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sat, 12 Jan 2013 00:18:49 +0800
