## cjk 4.8.3+git20140831

=== debian/changelog ===
cjk (4.8.3+git20140831-1ubuntu1) vivid; urgency=medium

  * debian/patches/03_Makefile.diff: Put quotes around the LDFLAGS so that
    it doesn't FTBFS with a space in them.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 03 Nov 2014 00:32:27 -0500

cjk (4.8.3+git20140831-1) unstable; urgency=low

  * The "Alexander Nikolajevitsch Scriabin" release.
  *  Bump the release to the latest GIT release from 31 August 2014:
      - Fix in hbf2gf;
      - fix space handling of non-CJK characters.
  * [debian/control]
      - Let latex-cjk-korean recommend `texlive-lang-korean' instead of
        `ko.tex-extra-hlfont';
      - bump Standards-Version from 3.9.3 to 3.9.6 (no changes required);
      - change "package" to "metapackage" for "latex-cjk-all" to not
        confuse Lintian;
      - Build-Depend on texlive-lang-other (>= 2013.20130523), not
        2013.20130523-1;
      - Update Build-Dependency of debhelper from (>= 8.1.0~) to
        (>= 9.20141003).
  * [debian/control,debian/rules] Bug fix: "use autotools-dev to update
    config.{sub,guess} for new arches", thanks to Logan Rosen
    (Closes: #733476).
  * [debian/compat] Switch from version 8 to 9.
  * [debian/patches/03_Makefile.diff] Add a fix to harden the `hbf2gf'
     and `*conv' binaries, in particular to have "read-only reolcations"
     while compiling with GCC.  I use `dpkg-buildflags' instead of hard
     configuration in the Makefile.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sun, 05 Oct 2014 16:16:19 +0800
