=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: cjk
-Build-Depends: debhelper (>= 8.1.0~), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
-Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523-1)
+Build-Depends: debhelper (>= 9.20141003), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
+Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
 Section: tex
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
@@ -63,7 +63,7 @@
 
 Package: latex-cjk-korean
 Architecture: all
-Recommends: ko.tex-extra-hlfont
+Recommends: texlive-lang-korean
 Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 4), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Korean module of LaTeX CJK
@@ -86,7 +86,7 @@
 Depends: latex-cjk-common (>= ${source:Version}), latex-cjk-chinese (>= ${source:Version}), latex-cjk-japanese (>= ${source:Version}), latex-cjk-korean (= ${source:Version}), latex-cjk-thai (= ${source:Version}), latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: installs all LaTeX CJK packages
- This package will install all CJK packages.
+ This metapackage will install all CJK packages.
  You may also wish to install each package separately instead.
  See the latex-cjk-common package for a detailed description.
