=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
 Standards-Version: 3.9.6
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
@@ -13,7 +12,7 @@
 
 Package: latex-cjk-common
 Architecture: any
-Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 4), ${misc:Depends}, ${shlibs:Depends}
+Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 4), emacsen-common (>= 2.0.8), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: cjk-latex (<= 4.5.1), latex-cjk, latex-cjk-xcjk
 Replaces: cjk-latex
 Provides: cjk-latex
@@ -72,7 +71,7 @@
 
 Package: latex-cjk-thai
 Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 4), texlive-lang-other (>= 2013.20130523-1), ${misc:Depends}
+Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 4), texlive-lang-other (>= 2013.20130523-1), emacsen-common (>= 2.0.8), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Thai module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility
