=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cjk
-Build-Depends: debhelper (>= 9.20141003), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
+Build-Depends: debhelper (>= 9.20160115), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
 Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.6
-Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
+Standards-Version: 3.9.8
+Vcs-Svn: svn://anonscm.debian.org/debian-tex/cjk/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
 
 Package: latex-cjk-common
