=== debian/rules ===
--- 
+++ 
@@ -35,15 +35,21 @@
 
 
 build: $(QUILT_STAMPFN) build-stamp
-build-arch:
+build-arch: build-arch-stamp
+
+build-arch-stamp:
 	dh_testdir
+
+	# Update config.{guess,sub}
 	dh_autotools-dev_updateconfig
 	# Add here commands to compile the package.
 	$(MAKE)
 
 	touch build-arch-stamp
 
-build-indep:
+build-indep: build-indep-stamp
+
+build-indep-stamp:
 	dh_testdir
 
 	mkdir $(build_thaifonts)
@@ -105,7 +111,9 @@
 	rm -f utils/SJISconv/sjisconv
 	rm -f utils/extconv/extconv
 
+	# Clean up config.{guess,sub}
 	dh_autotools-dev_restoreconfig
+
 	dh_clean
 
 install:
