=== debian/changelog ===
cjk (4.8.4+git20170127-4) unstable; urgency=medium

  * Remove git-core from BD.
  * Update d/copyright file, add me to uploaders.

 -- Hilmar Preusse <hille42@web.de>  Thu, 13 Jan 2022 23:16:54 +0100

cjk (4.8.4+git20170127-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Convert to git, update VCS fields, update my email (Closes: #925915)
  * Add dependency on fonts-arphic-uming (Closes: #925904)

  [ Danai SAE-HAN (韓達耐) ]
  * [debian/control]
      - Bump up the Standards-Version from 4.1.0 to 4.3.0.3.
  * [debian/TODO] Update.

  * Replace some "rm -f" in d/rules clean target by d/clean.
  * Fix day-of-week for changelog entries 4.6.0+cvs20051031-10,
    4.6.0+cvs20051031-5 (thanks to Debian Janitor).
  * Project is considered to be dead upstream, remove
    get-orig-source target from d/rules, correct upstream URL.
  * More lintian work.
    - Override for files having national encoding.
    - Replace versioned "Conflicts" by "Breaks/Replaces".

 -- Hilmar Preusse <hille42@web.de>  Tue, 02 Mar 2021 09:44:23 +0100

cjk (4.8.4+git20170127-2) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #875932)
    [debian/rules]
      - Remove manual patching and unpatching in a 3.0 (quilt) package.
      - Let dh_auto_configure and dh_auto_build pass cross flags.
        Bug report and patch thanks to Helmut Grohne!

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Tue, 26 Sep 2017 21:26:31 +0800

cjk (4.8.4+git20170127-1) unstable; urgency=low

  [ Danai SAE-HAN (韓達耐) ]
  * I tried to use dh-elpa but to no avail, despite the maintainer claiming
    it should be used now for all Emacs Lisp files even if upstream is not
    using ELPA.  Feel free to send in a patch.  I've given up.
  * [debian/copyright]
      - Fix typo: change ffi.org to ffii.org; thanks to Hilmar Preuße.
        (Closes: #856804)
  * [debian/patches/04_extend_examplefiles.diff]
      - Remove some unnecessary changes to some example files.
  * [debian/control]
      - Bump up debhelper dependency to version >=10.2.5.
      - Bump up the Standards-Version from 3.9.8 to 4.1.0; looks all good.
      - Remove dependency on autotools-dev; compat=10 now includes it by
        default.
  * [debian/compat]
      - Bump from 9 to 10.
  * [patches/03_Makefile.diff]
      - Make sure "make" is not run if "configure" fails (Closes: #875478).
        Thanks Helmut!
  * [debian/rules]
      - Remove dh_autotools-dev_restoreconfig; dh_update_autotools_config(1)
        now says dh_clean will restore the original config.{guess,sub}.
      - Replace "dh_autotools-dev_updateconfig" with
        "dh_update_autotools_config".
  * Bump the release to the latest GIT release from 27 January 2017:
      - * examples/*.tex: Fixes Vietnamese bit-rot, adds requirement comments
      - * utils/lisp/emacs/cjk-enc.el (cjk-coding): Remove `chinese-big5'
      - [cjk-enc.el] Updated to work with Emacs 25 and later.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Fri, 15 Sep 2017 19:37:31 +0800
