=== debian/control ===
Source: cjk
Build-Depends: debhelper (>= 10.2.5), quilt, libkpathsea-dev, texlive-extra-utils, tex-common (>= 4)
Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>,
    Norbert Preining <norbert@preining.info>,
    Hilmar Preusse <hille42@web.de>
Standards-Version: 4.3.0.3
Rules-Requires-Root: no
Vcs-Git: https://github.com/debian-tex/cjk.git
Vcs-Browser: https://github.com/debian-tex/cjk
Homepage: https://www.nongnu.org/cjk

Package: latex-cjk-common
Architecture: any
Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 4), emacsen-common (>= 2.0.8), ${misc:Depends}, ${shlibs:Depends}
Conflicts: latex-cjk, latex-cjk-xcjk
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Provides: cjk-latex
Description: LaTeX macro package for CJK (Chinese/Japanese/Korean)
 CJK is a macro package for LaTeX to enable typesetting in Chinese,
 Japanese, Korean and Thai, and it supports Vietnamese through the
 "vntex" macro.  And you can still use Russian, Greek and other
 languages in the same document.
 It supports various CJK encodings, like UTF-8, Big5, GB, JIS, KS,
 CNS (through CEF) and Emacs MULE.
 .
 This package will install the common files, as well as a few
 GNU/Emacs Lisp files, and it provides support for furigana
 ("ruby text") and PinYin, either with or without tone marks.

Package: latex-cjk-chinese
Architecture: any
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
Recommends: latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
Suggests: hbf-cns40-b5, hbf-jfs56
Breaks: cjk-latex (<= 4.5.1),
	tfm-arphic-bsmi00lp (<= 2.11.2-0.1),
	tfm-arphic-bkai00mp (<= 2.11.2-0.1),
	tfm-arphic-gbsn00lp (<= 2.11.2-0.1),
	tfm-arphic-gkai00mp (<= 2.11.2-0.1)
Replaces: cjk-latex (<= 4.5.1),
	tfm-arphic-bsmi00lp (<= 2.11.2-0.1),
	tfm-arphic-bkai00mp (<= 2.11.2-0.1),
	tfm-arphic-gbsn00lp (<= 2.11.2-0.1),
	tfm-arphic-gkai00mp (<= 2.11.2-0.1)
Description: Chinese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Chinese (traditional and simplified) text in your (La)TeX documents.
 .
 Install hbf-jfs56 if you want to use bitmap fonts in simplified Chinese.
 Install hbf-cns40-b5 if you want bitmap fonts in traditional Chinese.
 Install hbf-cns40-[1-7] if you want CEF bitmap fonts.  This is only needed
 if you need extremely rare and exotic Chinese characters.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-japanese
Architecture: any
Recommends: latex-cjk-japanese-wadalab
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 4), ${misc:Depends}, ${shlibs:Depends}
Suggests: hbf-kanji48
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: Japanese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Japanese text in your (La)TeX documents.  Install
 latex-cjk-japanese-wadalab for pretty printing.
 .
 Install hbf-kanji48 if you want to use bitmap fonts in your documents.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-korean
Architecture: all
Recommends: texlive-lang-korean
Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 4), ${misc:Depends}
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: Korean module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Korean text in your (La)TeX documents.

Package: latex-cjk-thai
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}),
 texlive-latex-base,
 tex-common (>= 4),
 texlive-lang-other (>= 2013.20130523-1),
 emacsen-common (>= 2.0.8),
 ${misc:Depends}
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: Thai module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Thai text in your (La)TeX documents.
 It uses the same Type1 fonts (Norasi and Garuda) from the ThaiLaTeX package.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-all
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}),
 latex-cjk-chinese (>= ${source:Version}),
 latex-cjk-japanese (>= ${source:Version}),
 latex-cjk-korean (= ${source:Version}),
 latex-cjk-thai (= ${source:Version}),
 latex-cjk-chinese-arphic-bsmi00lp,
 latex-cjk-chinese-arphic-bkai00mp,
 latex-cjk-chinese-arphic-gbsn00lp,
 latex-cjk-chinese-arphic-gkai00mp,
 latex-cjk-japanese-wadalab,
 fonts-arphic-uming,
 ${misc:Depends}
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This metapackage will install all CJK packages.
 You may also wish to install each package separately instead.
 See the latex-cjk-common package for a detailed description.

Package: cjk-latex
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), ${misc:Depends}
Suggests: latex-cjk-all (= ${source:Version})
Description: installs all LaTeX CJK packages - dummy package
 This is a dummy package that allows you to smoothly upgrade
 from the old cjk-latex to the current latex-cjk-common packages.
 After the installation of the latex-cjk-common packages, you can
 safely delete this package.
