=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHELL = /bin/sh
 
-include /usr/share/quilt/quilt.make
+include /usr/share/dpkg/buildflags.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -24,11 +24,11 @@
 
 # Stuff for get-orig-source.
 # Getting the revision numbers according to debian/changelog, the HARD way.
-upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
-isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
-unixdate := $(shell date -d $(isodate) +%s)
+#upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
+#isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
+#unixdate := $(shell date -d $(isodate) +%s)
 # Add 24 hours to the Unix timestamp.
-unixdate := $(shell expr $(unixdate) + 86400 )
+#unixdate := $(shell expr $(unixdate) + 86400 )
 
 # To get the Master revision number (i.e. 4.8.0), use:
 # dpkg-parsechangelog | sed -ne 's/^Version: *\([^+-]*\).*/\1/p'
@@ -41,9 +41,15 @@
 	dh_testdir
 
 	# Update config.{guess,sub}
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
+
 	# Add here commands to compile the package.
-	$(MAKE)
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	dh_auto_configure --sourcedirectory=utils/hbf2gf -- \
+        --with-kpathsea-lib=/usr/lib \
+        --with-kpathsea-include=/usr/include
+	dh_auto_build --sourcedirectory=utils/hbf2gf
+	dh_auto_build
 
 	touch build-arch-stamp
 
@@ -77,7 +83,7 @@
 build-stamp:
 	touch build-stamp
 
-clean: unpatch
+clean:
 #	dh_testdir doc/CJKutf8.txt examples/CJKbabel.tex
 	dh_testroot
 	rm -f build-stamp build-indep-stamp build-arch-stamp
@@ -97,22 +103,9 @@
 # check out Debian bug #471263 at
 # http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=471263 .
 # It would otherwise also create problems for Debian Source 3.0 (quilt).
-	rm -f utils/hbf2gf/config.log
-	rm -f utils/hbf2gf/config.status
-	rm -f utils/hbf2gf/hbf.o
-	rm -f utils/hbf2gf/hbf2gf
-	rm -f utils/hbf2gf/hbf2gf.c
-	rm -f utils/hbf2gf/hbf2gf.o
-	rm -f utils/hbf2gf/Makefile
-	rm -f utils/Bg5conv/bg5conv
-	rm -f utils/CEFconv/cefconv
-	rm -f utils/CEFconv/cef5conv
-	rm -f utils/CEFconv/cefsconv
-	rm -f utils/SJISconv/sjisconv
-	rm -f utils/extconv/extconv
 
 	# Clean up config.{guess,sub}
-	dh_autotools-dev_restoreconfig
+#	dh_autotools-dev_restoreconfig
 
 	dh_clean
 
@@ -139,6 +132,7 @@
 	dh_installtex -platex-cjk-thai --flavor=map:config_for_all_maps map=Map,garuda-c90.map map=Map,norasi-c90.map
 	dh_installtex -platex-cjk-korean
 	dh_installemacsen -i
+	dh_lintian -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_shlibdeps -i
@@ -173,6 +167,7 @@
 	dh_installchangelogs -platex-cjk-common ChangeLog
 	dh_installemacsen -a
 	dh_strip --exclude=.pl -a
+	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_shlibdeps -a
@@ -181,24 +176,24 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-get-orig-source:
+#get-orig-source:
 	# Cleaning
-	rm -rf cjk-$(upstream_version)
-	rm -f ../cjk_$(upstream_version).orig.tar.gz
+	#rm -rf cjk-$(upstream_version)
+	#rm -f ../cjk_$(upstream_version).orig.tar.gz
 
 	# Download the latest GIT version and downgrade it to $(unixdate).
-	git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)
+	#git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)
 
 #	cd cjk-$(upstream_version) && git reset --hard `git rev-list --all -n 1 --before=$(unixdate)`
 
 	# Make a pristine package.
-	mkdir -p ../tarballs
+	#mkdir -p ../tarballs
 # --no-name/-n is important because it won't save the timestamp in the
 # 5th to 8th byte of the gzip.
-	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
+	#cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
 
 	# Clean again, because we use svn-buildpackage afterwards.
-	rm -rf cjk-$(upstream_version)
+	#rm -rf cjk-$(upstream_version)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install get-orig-source
